# Uses of Class
io.dapr.client.domain.StateOptions

Packages that use StateOptions
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of StateOptions in io.dapr.client

Methods in io.dapr.client with parameters of type StateOptions
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
DaprClient.`deleteState(String storeName, String key, String etag, StateOptions options)`
Delete a state.
`<T> reactor.core.publisher.Mono<State<T>>`
DaprClient.`getState(String storeName, String key, StateOptions options, TypeRef<T> type)`
Retrieve a State based on their key.
`<T> reactor.core.publisher.Mono<State<T>>`
DaprClient.`getState(String storeName, String key, StateOptions options, Class<T> clazz)`
Retrieve a State based on their key.
`reactor.core.publisher.Mono<Void>`
DaprClient.`saveState(String storeName, String key, String etag, Object value, StateOptions options)`
Save/Update a state.

## Uses of StateOptions in io.dapr.client.domain

Methods in io.dapr.client.domain that return StateOptions
Modifier and Type
Method
Description
`StateOptions`
State.`getOptions()`
Retrieve the Options used for saving the state.
`StateOptions`
DeleteStateRequest.`getStateOptions()`
`StateOptions`
GetStateRequest.`getStateOptions()`
Methods in io.dapr.client.domain with parameters of type StateOptions
Modifier and Type
Method
Description
`DeleteStateRequest`
DeleteStateRequest.`setStateOptions(StateOptions stateOptions)`
`GetStateRequest`
GetStateRequest.`setStateOptions(StateOptions stateOptions)`
Constructors in io.dapr.client.domain with parameters of type StateOptions
Modifier
Constructor
Description
``
`State(String key, String etag, StateOptions options)`
Create an immutable state reference to be retrieved or deleted.
``
`State(String key, T value, String etag, StateOptions options)`
Create an immutable state.
``
`State(String key, T value, String etag, Map<String,String> metadata, StateOptions options)`
Create an immutable state.